> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group

> Gets information about a specific group by ID or name.

`Unary` · [`Groups`](https://ona.com/docs/api-reference/generated/group/overview)

Gets information about a specific group by ID or name.

Use this method to:

* Retrieve group details and metadata
* Check group configuration
* View member count

### Examples

* Get group by ID:

  Retrieves information about a specific group by its unique ID.

  ```yaml theme={null}
  id: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

### Authorization

All organization members can view group information (transparency model).

## Endpoint

```text theme={null}
POST /api/gitpod.v1.GroupService/GetGroup
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.GroupService/GetGroup" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "groupId": "<group-id>"
}'
```

```python Python theme={null}
import gitpod.v1.group_pb2 as group_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = group_pb2.GetGroupRequest(
    group_id="<group-id>",
)
response = ona.services.group.get_group(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { GetGroupRequestSchema } from "@gitpod/sdk/gitpod/v1/group_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(GetGroupRequestSchema, {
    groupId: "<group-id>",
  });
  const response = await ona.services.group.getGroup(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.GetGroupRequest{
		GroupId: "<group-id>",
	})
	response, err := ona.Services.Group.GetGroup(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "groupId": "<group-id>"
}
```

## Request

`gitpod.v1.GetGroupRequest`

GetGroup messages

| Field | Type | Required | Description |
| - | - | - | - |
| `groupId` | string | No | **Deprecated.** Deprecated: use the group oneof instead. |
| `id` | string | No | id looks up the group by its unique ID. Constraints: `string.uuid=true`. |
| `name` | string | No | name looks up the group by its name within the caller's organization. Constraints: `string.max_len=80, string.min_len=3`. |

## Response

`gitpod.v1.GetGroupResponse`

| Field | Type | Required | Description |
| - | - | - | - |
| `group` | [Group](#type-gitpod-v1-group) | No | |

## Related types

> [accordion] Group
>
> `gitpod.v1.Group`
>
> | Field | Type | Required | Description |
> | - | - | - | - |
> | `id` | string | No | Constraints: `string.uuid=true`. |
> | `organizationId` | string | No | Constraints: `string.uuid=true`. |
> | `name` | string | No | Constraints: `string.max_len=80, string.min_len=3`. |
> | `systemManaged` | boolean | No | system\_managed indicates that this group is created by the system automatically |
> | `createdAt` | RFC 3339 timestamp | No | |
> | `updatedAt` | RFC 3339 timestamp | No | |
> | `description` | string | No | Constraints: `string.max_len=255`. |
> | `memberCount` | integer | No | member\_count is the total number of members in this group |
> | `directShare` | boolean | No | direct\_share indicates that this group is used for direct user sharing on resources. These groups are hidden from regular group listings. |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.